# $Id: nagios-plugins-temptrax.spec,v 1.4 2008/04/02 15:03:55 slords Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios plugins for the Sensatronics E4/E16/F devices
%define name nagios-plugins-temptrax
Name: %{name}
%define version 1.0.1
%define release 0
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
URL: http://www.nagiosexchange.org/Environmental.60.0.html?&tx_netnagext_pi1[p_view]=246&tx_netnagext_pi1[page]=20%3A10
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
Requires: nagios
AutoReq: no

%changelog
* Thu Oct 18 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
TempTrax (E4/E16/F) is a seriell or Ethernet Device to monitor temperature.
see http://www.netways.de/ 
or http://www.sensatronics.com/products_temperature_model_e.html

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%{__make} all

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/usr/lib/nagios/plugins/
%{__install} -s src/check_temptraxe $RPM_BUILD_ROOT/usr/lib/nagios/plugins/
%{__install} -s src/check_temptraxf $RPM_BUILD_ROOT/usr/lib/nagios/plugins/

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/lib/nagios/plugins/@%attr(0550,nagios,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
